Summary: openssl-0.9.4 - SSL Binaries & Libraries

%define name openssl
%define version 0.9.4
%define release 1
%define prefix /usr/local

Name: %{name}
Version: %{version}
Release: %{release}
Group: Security/Encryption
Packager: Gordon Messmer - yinyang@eburg.com

Source: http://www.openssl.org/source/%{name}-%{version}.tar.gz

Copyright: Dual License (OpenSSL and SSLeay) bsdstyle Open Source
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root
Provides: SSL

%description
openssl contains the SSL binaries and libraries required for SSL apps 
like Apache.

%changelog
* Wed Oct 27 1999 - Gordon Messmer <yinyang@eburg.com>
- fixed up the spec file and built 0.9.4

%prep
%setup -q -n %{name}-%{version}

%build
./config
make
make rehash
make test

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
echo $RPM_BUILD_ROOT
make INSTALL_PREFIX=$RPM_BUILD_ROOT \
     INSTALLTOP=%{prefix} \
     install
cp $RPM_BUILD_DIR/%{name}-%{version}/README \
   $RPM_BUILD_DIR/%{name}-%{version}/README.1ST

%post
[ -d %{prefix}/ssl/certs ]   ||  mkdir %{prefix}/ssl/certs
[ -d %{prefix}/ssl/private ] ||  mkdir %{prefix}/ssl/private

%files
%defattr(-,root,root)
%doc CHANGES CHANGES.SSLeay INSTALL INSTALL.W32 LICENSE MINFO README.1ST
%doc NEWS $RPM_BUILD_DIR/%{name}-%{version}/doc/*
%{prefix}/bin/*
%{prefix}/lib/*
%{prefix}/include/openssl
%{prefix}/ssl/misc/*
%{prefix}/ssl/openssl.cnf

%clean
rm -rf $RPM_BUILD_ROOT
